3.0以上版本,报错Module not found: Can't resolve 'undefined' in



  • 7f4fe726-932b-4ab9-88ca-afa94499bc22-image.png

    问题根源:
    创建项目的时候使用的taro 版本,与运行时的taro 的版本不符,所以导致报错

    1. 创建项目时的taro版本:
      758158ca-a780-4c3c-b682-45c661e95d3f-image.png

    2. 运行项目时的taro版本
      40e25203-6861-4867-8286-91959711606f-image.png

    解决办法:

    1. 把启动项目时,终端 里 显示 taro 的版本 复制下来
      a4c439f0-822c-4e30-88c9-d1d33975856e-image.png

    2. 打开项目,找到package.json ,把与taro相关的包,都改成刚才复制的版本号

    3. 执行yarn install


登录后回复